OVH Community, votre nouvel espace communautaire.

Migration mySql V3 vers V4


captainigloo
19/10/2006, 18h19
Le problème n'a pas l'air d'être nouveau mais en combinant mon inexpérience avec des billets utilisant des versions périmées, j'ai cassé mon mySql.

Je viens d'installer la V4.0.26 en skippant les dépendances (tutoriel http://www.art-coding.fr/index.php/2...ovh-en-release)


Lors de l'install, il s'est plaint de ne pas avoir de socket mysql.
La commande rpm -qa|grep -i mysql me délivre quand même un joli:
MySQL-client-4.0.26-0
MySQL-embedded-4.0.26-0
MySQL-Max-4.0.26-0
MySQL-devel-4.0.26-0
MySQL-server-4.0.26-0
MySQL-shared-4.0.26-0

Malgré tout, mon serveur mySql ne démarre plus.

Quand je veux le restarter, il me délivre un laconique:
No mysqld pid file found. Looked for /var/lib/mysql/ns34406.ovh.net.pid.

Dans sa log, je retrouve les éléments skippés lors de l'installation
061019 19:15:25 mysqld started
/usr/sbin/mysqld-max: /lib/libc.so.6: version `GLIBC_2.3' not found (required by /usr/sbin/mysqld-max)
/usr/sbin/mysqld-max: /lib/libpthread.so.0: version `GLIBC_2.3.2' not found (required by /usr/sbin/mysqld-max)
061019 19:15:25 mysqld ended


Je ne sais plus comment prendre le problème sans dégrader davantage.

J'ai essayé de revenir en 3.23 mais il se plaint alors de conflit d'installation avec la 4.0

J'ai une distribution standard redhat (conseillée par ovh - A ce propos, en juillet 2006, pourquoi livraient ils encore cette version démodée 3.23 ? )

Merci de votre aide,

A force de mettre de pelleter du sable, j'ai fini par en sortir (réinstallation d'une 4.1.20 sans oublier le my.cnf idoine..)